%define fw_version 5.24

Summary:	KDE Frameworks 5 module with classes for various routines
Name:		kcoreaddons
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	shared-mime-info
BuildRequires:	pkgconfig(gamin)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	shared-mime-info

%description
KDE Frameworks 5 module with classes for various routines.

KCoreAddons provides classes built on top of QtCore to perform various tasks
such as manipulating mime types, autosaving files, creating backup files,
generating random sequences, performing text manipulations such as macro
replacement, accessing user information and many more.

%files
%{_kde5_bindir}/desktoptojson
%{_kde5_datadir}/mime/packages/kde5.xml

#----------------------------------------------------------------------------

%package i18n
Summary:	KCoreAddons translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KCoreAddons translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5coreaddons_major 5
%define libkf5coreaddons %mklibname kf5coreaddons %{kf5coreaddons_major}

%package -n %{libkf5coreaddons}
Summary:	KDE Frameworks 5 KCoreAddons shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5coreaddons}
KDE Frameworks 5 KCoreAddons shared library.

%files -n %{libkf5coreaddons}
%{_kde5_libdir}/libKF5CoreAddons.so.%{kf5coreaddons_major}*

#----------------------------------------------------------------------------

%define devkf5coreaddons %mklibname kf5coreaddons -d

%package -n %{devkf5coreaddons}
Summary:	Development files for KDE Frameworks 5 KCoreAddons
Group:		Development/KDE and Qt
Requires:	%{libkf5coreaddons} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5coreaddons-devel = %{version}

%description -n %{devkf5coreaddons}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5coreaddons}
%{_kde5_includedir}/KF5/KCoreAddons
%{_kde5_includedir}/KF5/kcoreaddons_version.h
%{_kde5_libdir}/cmake/KF5CoreAddons
%{_kde5_libdir}/libKF5CoreAddons.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (9e18a61) New version 5.24.0


